Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class RangeType

    java.lang.Object
      org.jfree.chart.renderer.RangeType

public final class RangeType
extends java.lang.Object

An enumeration of the 'range types' for a renderer. This is used when calculating the axis range required to display all the data in a dataset...the result will depend on whether the renderer plots the values directly (STANDARD) or stacks them (STACKED).

Field Summary
`static RangeType` | `SERIES_CUMULATIVE` The overall range is determined by looking at the running total within each series.
`static RangeType` | `STACKED` The overall range is determined by looking at the sums of the values within each category.
`static RangeType` | `STANDARD` The overall range is determined by looking at the individual values.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STANDARD

    public static final RangeType STANDARD

  The overall range is determined by looking at the individual values.

### STACKED

    public static final RangeType STACKED

  The overall range is determined by looking at the sums of the values within each category.

### SERIES_CUMULATIVE

    public static final RangeType SERIES_CUMULATIVE

  The overall range is determined by looking at the running total within each series.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD